petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetCellFields

Retrieve the field values values for a chunk of cells

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexGetCellFields(DM dm, PetscInt cStart, PetscInt cEnd, Vec locX, Vec locX_t, Vec locA, PetscScalar **u, PetscScalar **u_t, PetscScalar **a)

### Input Parameters

| dm | - The DM Many br
| cStart | - The first cell to include Many br
| cEnd | - The first cell to exclude Many br
| locX | - A local vector with the solution fields Many br
| locX_t | - A local vector with solution field time derivatives, or NULL Many br
| locA | - A local vector with auxiliary fields, or NULL Many br

### Output Parameters

| u | - The field coefficients Many br
| u_t | - The fields derivative coefficients Many br
| a | - The auxiliary field coefficients Many br

Many br

### See Also

DMPlexGetFaceFields()

Level:developer
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages